## siggy 0.2

=== Makefile ===
#############################################################################
# Makefile for building: siggy
# Generated by qmake (2.01a) (Qt 4.5.2) on: mar mar 9 16:46:15 2010
# Project:  siggy.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile siggy.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) src.pro -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) src.pro -unix -o $(MAKEFILE)
sub-src: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: siggy.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile siggy.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile siggy.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: siggy
# Generated by qmake (2.01a) (Qt 4.5.2) on: mar mar 9 16:46:18 2010
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_SQL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtSql -I/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtSql -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = dbmanager.cpp \
		expense.cpp \
		concept.cpp \
		monthdata.cpp \
		controller.cpp \
		mainwindow.cpp \
		expensesgraph.cpp \
		expensedetailsdialog.cpp \
		budgetdialog.cpp \
		conceptsdialog.cpp \
		conceptdetailsdialog.cpp \
		expenseslist.cpp \
		scheduledlist.cpp \
		scheduleddetailsdialog.cpp \
		confirmationdialog.cpp \
		main.cpp moc_monthdata.cpp \
		moc_controller.cpp \
		moc_expensesgraph.cpp \
		moc_expensedetailsdialog.cpp \
		moc_budgetdialog.cpp \
		moc_conceptsdialog.cpp \
		moc_conceptdetailsdialog.cpp \
		moc_expenseslist.cpp \
		moc_scheduledlist.cpp \
		moc_scheduleddetailsdialog.cpp \
		moc_confirmationdialog.cpp \
		moc_mainwindow.cpp
OBJECTS       = dbmanager.o \
		expense.o \
		concept.o \
		monthdata.o \
		controller.o \
		mainwindow.o \
		expensesgraph.o \
		expensedetailsdialog.o \
		budgetdialog.o \
		conceptsdialog.o \
		conceptdetailsdialog.o \
		expenseslist.o \
		scheduledlist.o \
		scheduleddetailsdialog.o \
		confirmationdialog.o \
		main.o \
		moc_monthdata.o \
		moc_controller.o \
		moc_expensesgraph.o \
		moc_expensedetailsdialog.o \
		moc_budgetdialog.o \
		moc_conceptsdialog.o \
		moc_conceptdetailsdialog.o \
		moc_expenseslist.o \
		moc_scheduledlist.o \
		moc_scheduleddetailsdialog.o \
		moc_confirmationdialog.o \
		moc_mainwindow.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = siggy
DESTDIR       = 
TARGET        = siggy

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile src.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtSql.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/siggy1.0.0 || $(MKDIR) .tmp/siggy1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/siggy1.0.0/ && $(COPY_FILE) --parents global.h dbmanager.h expense.h concept.h monthdata.h controller.h expensesgraph.h expensedetailsdialog.h budgetdialog.h conceptsdialog.h conceptdetailsdialog.h expenseslist.h scheduledlist.h scheduleddetailsdialog.h confirmationdialog.h mainwindow.h .tmp/siggy1.0.0/ && $(COPY_FILE) --parents dbmanager.cpp expense.cpp concept.cpp monthdata.cpp controller.cpp mainwindow.cpp expensesgraph.cpp expensedetailsdialog.cpp budgetdialog.cpp conceptsdialog.cpp conceptdetailsdialog.cpp expenseslist.cpp scheduledlist.cpp scheduleddetailsdialog.cpp confirmationdialog.cpp main.cpp .tmp/siggy1.0.0/ && (cd `dirname .tmp/siggy1.0.0` && $(TAR) siggy1.0.0.tar siggy1.0.0 && $(COMPRESS) siggy1.0.0.tar) && $(MOVE) `dirname .tmp/siggy1.0.0`/siggy1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/siggy1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_monthdata.cpp moc_controller.cpp moc_expensesgraph.cpp moc_expensedetailsdialog.cpp moc_budgetdialog.cpp moc_conceptsdialog.cpp moc_conceptdetailsdialog.cpp moc_expenseslist.cpp moc_scheduledlist.cpp moc_scheduleddetailsdialog.cpp moc_confirmationdialog.cpp moc_mainwindow.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_monthdata.cpp moc_controller.cpp moc_expensesgraph.cpp moc_expensedetailsdialog.cpp moc_budgetdialog.cpp moc_conceptsdialog.cpp moc_conceptdetailsdialog.cpp moc_expenseslist.cpp moc_scheduledlist.cpp moc_scheduleddetailsdialog.cpp moc_confirmationdialog.cpp moc_mainwindow.cpp
moc_monthdata.cpp: expense.h \
		global.h \
		monthdata.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) monthdata.h -o moc_monthdata.cpp

moc_controller.cpp: expense.h \
		monthdata.h \
		global.h \
		mainwindow.h \
		expensesgraph.h \
		dbmanager.h \
		concept.h \
		controller.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) controller.h -o moc_controller.cpp

moc_expensesgraph.cpp: monthdata.h \
		expense.h \
		global.h \
		expensesgraph.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) expensesgraph.h -o moc_expensesgraph.cpp

moc_expensedetailsdialog.cpp: expense.h \
		concept.h \
		expensedetailsdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) expensedetailsdialog.h -o moc_expensedetailsdialog.cpp

moc_budgetdialog.cpp: budgetdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) budgetdialog.h -o moc_budgetdialog.cpp

moc_conceptsdialog.cpp: conceptsdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) conceptsdialog.h -o moc_conceptsdialog.cpp

moc_conceptdetailsdialog.cpp: concept.h \
		conceptdetailsdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) conceptdetailsdialog.h -o moc_conceptdetailsdialog.cpp

moc_expenseslist.cpp: expenseslist.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) expenseslist.h -o moc_expenseslist.cpp

moc_scheduledlist.cpp: scheduledlist.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) scheduledlist.h -o moc_scheduledlist.cpp

moc_scheduleddetailsdialog.cpp: expense.h \
		concept.h \
		scheduleddetailsdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) scheduleddetailsdialog.h -o moc_scheduleddetailsdialog.cpp

moc_confirmationdialog.cpp: confirmationdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) confirmationdialog.h -o moc_confirmationdialog.cpp

moc_mainwindow.cpp: monthdata.h \
		expense.h \
		global.h \
		expensesgraph.h \
		mainwindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

dbmanager.o: dbmanager.cpp dbmanager.h \
		expense.h \
		concept.h \
		monthdata.h \
		global.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o dbmanager.o dbmanager.cpp

expense.o: expense.cpp expense.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o expense.o expense.cpp

concept.o: concept.cpp concept.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o concept.o concept.cpp

monthdata.o: monthdata.cpp monthdata.h \
		expense.h \
		global.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o monthdata.o monthdata.cpp

controller.o: controller.cpp expensedetailsdialog.h \
		expense.h \
		concept.h \
		scheduleddetailsdialog.h \
		budgetdialog.h \
		conceptsdialog.h \
		conceptdetailsdialog.h \
		expenseslist.h \
		controller.h \
		monthdata.h \
		global.h \
		mainwindow.h \
		expensesgraph.h \
		dbmanager.h \
		scheduledlist.h \
		confirmationdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o controller.o controller.cpp

mainwindow.o: mainwindow.cpp mainwindow.h \
		monthdata.h \
		expense.h \
		global.h \
		expensesgraph.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o mainwindow.cpp

expensesgraph.o: expensesgraph.cpp expensesgraph.h \
		monthdata.h \
		expense.h \
		global.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o expensesgraph.o expensesgraph.cpp

expensedetailsdialog.o: expensedetailsdialog.cpp expensedetailsdialog.h \
		expense.h \
		concept.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o expensedetailsdialog.o expensedetailsdialog.cpp

budgetdialog.o: budgetdialog.cpp budgetdialog.h

=== debian/changelog ===
siggy (0.2) unstable; urgency=low

  * graph working
  * create/update/delete concepts
  * create/update/delete expenses
  * create/update/delete scheduled expenses
  * integration with Hildon Desktop
  * integration with backup application
  * internationalization support and spanish translation

 -- Miguel Gomez <magomez@igalia.com>  Wed, 03 Mar 2010 18:03:34 +0100

siggy (0.1) unstable; urgency=low

  * Initial release

 -- Miguel Gomez <magomez@igalia.com>  Thu, 11 Feb 2010 10:22:16 +0100

=== debian/rules ===
#!/usr/bin/make -f

APPNAME := siggy
QT_PATH := /opt/qt4-maemo5/bin/

builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	$(QT_PATH)lrelease $(APPNAME).pro
	cd builddir && $(QT_PATH)qmake-qt4 ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip --dbg-package=my-application-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## siggy 0.3

=== Makefile ===
#############################################################################
# Makefile for building: siggy
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Mar 16 16:11:27 2010
# Project:  siggy.pro
# Template: subdirs
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile siggy.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /opt/qt4-maemo5/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/magomez/siggy/src/src.pro -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/magomez/siggy/src/src.pro -unix -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: siggy.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile siggy.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile siggy.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: siggy
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Mar 16 16:11:29 2010
# Project:  src.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_SQL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtSql -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtMaemo5 -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtSql -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = dbmanager.cpp \
		expense.cpp \
		concept.cpp \
		monthdata.cpp \
		controller.cpp \
		mainwindow.cpp \
		expensesgraph.cpp \
		expensedetailsdialog.cpp \
		budgetdialog.cpp \
		conceptsdialog.cpp \
		conceptdetailsdialog.cpp \
		expenseslist.cpp \
		scheduledlist.cpp \
		scheduleddetailsdialog.cpp \
		confirmationdialog.cpp \
		datechooserdialog.cpp \
		periodwindow.cpp \
		summarywindow.cpp \
		summarydata.cpp \
		conceptschart.cpp \
		main.cpp moc_monthdata.cpp \
		moc_controller.cpp \
		moc_expensesgraph.cpp \
		moc_expensedetailsdialog.cpp \
		moc_budgetdialog.cpp \
		moc_conceptsdialog.cpp \
		moc_conceptdetailsdialog.cpp \
		moc_expenseslist.cpp \
		moc_scheduledlist.cpp \
		moc_scheduleddetailsdialog.cpp \
		moc_confirmationdialog.cpp \
		moc_datechooserdialog.cpp \
		moc_periodwindow.cpp \
		moc_summarywindow.cpp \
		moc_summarydata.cpp \
		moc_conceptschart.cpp \
		moc_mainwindow.cpp
OBJECTS       = dbmanager.o \
		expense.o \
		concept.o \
		monthdata.o \
		controller.o \
		mainwindow.o \
		expensesgraph.o \
		expensedetailsdialog.o \
		budgetdialog.o \
		conceptsdialog.o \
		conceptdetailsdialog.o \
		expenseslist.o \
		scheduledlist.o \
		scheduleddetailsdialog.o \
		confirmationdialog.o \
		datechooserdialog.o \
		periodwindow.o \
		summarywindow.o \
		summarydata.o \
		conceptschart.o \
		main.o \
		moc_monthdata.o \
		moc_controller.o \
		moc_expensesgraph.o \
		moc_expensedetailsdialog.o \
		moc_budgetdialog.o \
		moc_conceptsdialog.o \
		moc_conceptdetailsdialog.o \
		moc_expenseslist.o \
		moc_scheduledlist.o \
		moc_scheduleddetailsdialog.o \
		moc_confirmationdialog.o \
		moc_datechooserdialog.o \
		moc_periodwindow.o \
		moc_summarywindow.o \
		moc_summarydata.o \
		moc_conceptschart.o \
		moc_mainwindow.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = siggy
DESTDIR       = 
TARGET        = siggy

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtMaemo5.prl \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtSql.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtMaemo5.prl:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtSql.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/siggy1.0.0 || $(MKDIR) .tmp/siggy1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/siggy1.0.0/ && $(COPY_FILE) --parents global.h dbmanager.h expense.h concept.h monthdata.h controller.h expensesgraph.h expensedetailsdialog.h budgetdialog.h conceptsdialog.h conceptdetailsdialog.h expenseslist.h scheduledlist.h scheduleddetailsdialog.h confirmationdialog.h datechooserdialog.h periodwindow.h summarywindow.h summarydata.h conceptschart.h mainwindow.h .tmp/siggy1.0.0/ && $(COPY_FILE) --parents dbmanager.cpp expense.cpp concept.cpp monthdata.cpp controller.cpp mainwindow.cpp expensesgraph.cpp expensedetailsdialog.cpp budgetdialog.cpp conceptsdialog.cpp conceptdetailsdialog.cpp expenseslist.cpp scheduledlist.cpp scheduleddetailsdialog.cpp confirmationdialog.cpp datechooserdialog.cpp periodwindow.cpp summarywindow.cpp summarydata.cpp conceptschart.cpp main.cpp .tmp/siggy1.0.0/ && (cd `dirname .tmp/siggy1.0.0` && $(TAR) siggy1.0.0.tar siggy1.0.0 && $(COMPRESS) siggy1.0.0.tar) && $(MOVE) `dirname .tmp/siggy1.0.0`/siggy1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/siggy1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_monthdata.cpp moc_controller.cpp moc_expensesgraph.cpp moc_expensedetailsdialog.cpp moc_budgetdialog.cpp moc_conceptsdialog.cpp moc_conceptdetailsdialog.cpp moc_expenseslist.cpp moc_scheduledlist.cpp moc_scheduleddetailsdialog.cpp moc_confirmationdialog.cpp moc_datechooserdialog.cpp moc_periodwindow.cpp moc_summarywindow.cpp moc_summarydata.cpp moc_conceptschart.cpp moc_mainwindow.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_monthdata.cpp moc_controller.cpp moc_expensesgraph.cpp moc_expensedetailsdialog.cpp moc_budgetdialog.cpp moc_conceptsdialog.cpp moc_conceptdetailsdialog.cpp moc_expenseslist.cpp moc_scheduledlist.cpp moc_scheduleddetailsdialog.cpp moc_confirmationdialog.cpp moc_datechooserdialog.cpp moc_periodwindow.cpp moc_summarywindow.cpp moc_summarydata.cpp moc_conceptschart.cpp moc_mainwindow.cpp
moc_monthdata.cpp: expense.h \
		global.h \
		monthdata.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) monthdata.h -o moc_monthdata.cpp

moc_controller.cpp: expense.h \
		monthdata.h \
		global.h \
		mainwindow.h \
		expensesgraph.h \
		dbmanager.h \
		concept.h \
		summarydata.h \
		summarywindow.h \
		periodwindow.h \
		conceptschart.h \
		controller.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) controller.h -o moc_controller.cpp

moc_expensesgraph.cpp: monthdata.h \
		expense.h \
		global.h \
		expensesgraph.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) expensesgraph.h -o moc_expensesgraph.cpp

moc_expensedetailsdialog.cpp: expense.h \
		concept.h \
		expensedetailsdialog.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) expensedetailsdialog.h -o moc_expensedetailsdialog.cpp

=== debian/changelog ===
siggy (0.3) unstable; urgency=low

  * added funcionality to get statistics from a concrete period
  * added graph to view expenses by item during a period

 -- Miguel Gomez <magomez@igalia.com>  Wed, 17 Mar 2010 12:41:30 +0100

=== debian/control ===
Source: siggy
Section: user/utilities
Priority: optional
Maintainer: Miguel Gomez <magomez@igalia.com>
Build-Depends: debhelper (>= 4), libqt4-maemo5-dev (>=4.6)
Standards-Version: 3.8.1

Package: siggy
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-gui (>=4.6), libqt4-maemo5-sql (>=4.6),
         libqt4-maemo5-sql-sqlite (>=4.6), libqt4-maemo5-maemo5,
         libsqlite3-0
Description: Maemo5 application to manage personal budget
 Maemo5 application to manage your personal budget.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAAywAAAMsBuUT2VgAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAATaSURBVEiJjZZdbBRVFMd/d3amO91229LS
 75ZKKJSUQgWjEZISEhEiaGNQSdSQFBQTY3ww8YUobtoQHgwP8oAQQlBBsYmR
 iA9gJBE1GhKIKQZpAkIL1iKhH3Rhu7M7O3OvD7PTnW3Lx03+uSe7c85vzpl7
 zoxQSjG1+vs7gVeBZ4ELwHHgIK2tDsF19KgGNANJtmz5l0dYYgrU39+plDwB
 AiFE8JqLDA6eIh6/jqY97rju8ms3biy7NToe/mfkNlfHb7kSUo1lVYMvrVoZ
 q4hETrB1q3tf0N/ffftL75EvVre0L6WzcxNm2ISkBYODMDREqrKK3/v6+LHv
 POkCRfP8x1i5sI1FVXVETRNcF6QE172E675HV9fpWUE/H/z0+8NHv34BAXXl
 c3jtufW0hcJotg01NahQiIs3BokU6DRX1oIQoGne7gFyu+OA6/bQ1RXzQZpv
 1DXU/aQAV0IykeDKnxdQ0Sg0NkI4jAiFWFZWTnNpheeg6yhNAy0L1HUIhXLS
 tI84fHjXDFBptOJYjR5ibdvC+MdvvMnL658nVFwMhuE5jo0yZk0y7tgo00SZ
 JkQiyHCYjC6QAh8Q1AccOvQEgO6Dqjs6bq9pbR7a+MyGxqm7y+4KOPXXBX47
 30dSQnVdJS9u3MDiBYvByeDgYLlpSkQ4HyQECBEDOnOnrre3BcPoQ9cL0XXy
 lC3Hub5zfH78BKm0Q21FGd2xbjQ7TfLeHeL3xqgJRQm50ntGmUxwXzFVOkKh
 D9G0QjQtv9Z+ZobBU0938Pa2rSQFjIxPcPbsr0gUrpLYboa0a8/eREq9pWWz
 iWak3DQwMpKf+iywpW3trFu9CglcHxxApixsO0UybWFlUtMBnqDeAwnRYbtu
 pMg0/brOVMC5o305YSAkJXYyQSIRZzJ5Dydje4GlzEE8VfulaywyTarLyqbi
 9Rw5krvQ749MBjIZmusbmFNYgKEkE/FRxu+OYaUsysMlOYiUQbtaz2bUHkgT
 lOKdzs4cADw7+5+Qiqa6asqiRdyOjzCRvEu1WYqhhfxmzYE8u0S3T55cZpSU
 bBNCeD+6LmgaFcXFnu3fnV++bICm2lrKyotIWHeZa0RorZwfnAo5ebA/dKuy
 5ECiwAiHXYhM2oh0GlKp3MPM9UNeKTueXEV8/D/CBSZlRXMQs0FysDP69ctX
 2ytbmiFajDJNiicmPUgqlQ8JniQpKdQNCivq87NwnHz5IMc5o48ODw9Zht4S
 iURoWLQAp0BHt/VcfYOg4EkKDtL8oNMVx3XPa7pln40P3+SH/YdQlkVaubkD
 kD1lM2TbnnzbnwC+8kG72LHD0Va0Lnm/qaoqbiRTTAwNIx3bK1vQ2Q8cBEwH
 ByH+rlQ/jvMJgBbdvHmstrzklaYlLek7Q8OodBomJ8GyZkIeBepDDCNNY+MB
 du50pqZ36YZNp1sHbtZX1VVtD98aXUciuQYQ2R6bOVKCTRl84fmaOxcKCwe4
 cmW/7yryPk78tW/fWoQ4hhCVs86uYOcHG9N1r6HUu8ybd4mBgQSx2PiDQQB7
 9zYgxFfA6hmQYFZeRg5S7sF1e4jFrNnC3R/krz17Xgf2o1R0Cpgr3WWk/AYp
 vyQWu/ygMA8HAezevR04OC2jXmALsZjzMPdHBwF0d/cA2wEL+AzYTSw24/vt
 fut/saUd8pOS0hQAAAAASUVORK5CYII=

## siggy 0.4

=== debian/changelog ===
siggy (0.4) unstable; urgency=low

  * multiple account support added
  * expenses are now identified by an UUID

 -- Miguel Gomez <magomez@igalia.com>  Mon, 19 Apr 2010 10:33:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: user/utilities
 Priority: optional
 Maintainer: Miguel Gomez <magomez@igalia.com>
-Build-Depends: debhelper (>= 4), libqt4-maemo5-dev (>=4.6)
+Build-Depends: debhelper (>= 4), libqt4-dev (>=4.6)
 Standards-Version: 3.8.1
 
 Package: siggy
 Architecture: any
-Depends: ${shlibs:Depends}, libqt4-maemo5-gui (>=4.6), libqt4-maemo5-sql (>=4.6),
-         libqt4-maemo5-sql-sqlite (>=4.6), libqt4-maemo5-maemo5,
+Depends: ${shlibs:Depends}, libqt4-gui (>=4.6), libqt4-sql (>=4.6),
+         libqt4-sql-sqlite (>=4.6), libqt4-maemo5,
          libsqlite3-0
 Description: Maemo5 application to manage personal budget
  Maemo5 application to manage your personal budget.
